Bug 1912555 - fedpkg update doesn't read bug numbers from the changelog
Summary: fedpkg update doesn't read bug numbers from the changelog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Nosek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-04 18:28 UTC by Jaroslav Škarvada
Modified: 2021-05-26 06:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:03:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Škarvada 2021-01-04 18:28:46 UTC
Description of problem:
Previously 'fedpkg update' was reading bug numbers from the SPEC changelog and prepopulated the update template with them. After some update it stops doing it.

Version-Release number of selected component (if applicable):
fedpkg-1.40-1.fc32

How reproducible:
Always

Steps to Reproduce:
1. Write bug number to the SPEC changelog, push it and build the package
2. fedpkg update
3.

Actual results:
Bug numbers are not read from the changelog and has to be filled manually

Expected results:
Bug numbers prepopulated from the changelog

Additional info:
Example of changelog which worked before:
* Mon Jan  4 2021 Jaroslav Škarvada <jskarvad> - 2.6.5-1
- New version
  Resolves: rhbz#1911419

I pushed this update to rawhide, merged to f33 (fast-forward), ran 'fedpkg-update', but it didn't preset the 1911419 bug in the update template.

Comment 1 Jaroslav Škarvada 2021-01-04 21:15:10 UTC
Currently I am not sure whether it used SPEC changelog or dist-git commit message, but I set it both and nothing is preset.

Comment 2 Ondřej Nosek 2021-01-11 03:27:26 UTC
Hi,

the issue was verified and eventually fixed. Thank you for letting me know.
There are two ways for adding bug numbers to bodhi update. First is "fedpkg update --bugs <numbers>". And second is parsing SPEC's file changelog (I think, commit message is not parsed). It was broken by a recent update where I improved a regular expression for bug detection. Code didn't handle the situation when the changelog lines don't start with '- '. Now, there is a fix available:

https://pagure.io/fedpkg/pull-request/423

Comment 3 Fedora Program Management 2021-04-29 16:45:20 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-05-25 17:03:37 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.